iPod touch HELP!!!!!!!!!!!!! CAN'T RESTORE! The device isn't eligible for the requested build.

Discussion in 'Jailbreaks and iOS Hacks' started by Haruhi, Sep 30, 2012.

  1. Haruhi macrumors regular

    Joined:
    Sep 19, 2008
    #1
    It's jailbroken.
    I'm trying to restore to an ipsw of iOS 5 (what its at atm) or iOS 5.1.1 but they both come up with the following message after trying to verify with apple.
    "The iPod could not be restored. This device isn't eligible for the requested build."
    I've been downloading the ipsw's from felixbruns. They're for iTouch 4G (my iTouch).
     
  2. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #2
    stop yelling…

    You have your SHSH's saved for the ipod?
     
  3. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
    #3
    I don't know what that means
     
  4. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #4
    so basically you don't have a clue what is needed to jailbreak?
    pfff…

    Please do some research before you leap into jailbreaking.


    download redsn0w from here:

    http://blog.iphone-dev.org/post/26534086824/baseband-freedom

    connect device

    open it and go to Extras/SHSH blobs/verify

    follow the instructions
     
  5. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
    #5
    mm I guess I first jailbroke my iPod a pretty long time ago but I was clueless then and still am clueless. I followed some stupid tutorial on YouTube :/
    Once I've done that what do I do?
     
  6. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #6
    ok, are the 5.01 or 5.1.1 blobs among the 16?
     
  7. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
    #7
    I pressed verify but I don't know where they are. It said it sent them to the Cydia server or something.

    ----------

    oh here ya go

    iPod4,1 2761144787918 full blobs:
    4.3.3, 4.3.5, 5.0.1, 5.1, 5.1.1

    iPod4,1 2761144787918 partial blobs:
    5.0
     
  8. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #8
    What state is the phone in at the moment, off, recovery?

    ok donwload TinyUmvrella from here:
    http://thefirmwareumbrella.blogspot.com

    connect phone
    open TU

    in the advanced tab make sure Request SHSH from cydia is checked.

    now in the main TU page hit save SHSH
     
  9. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
    #9
    Is this what you needed?

    iPod4,1 2761144787918 full blobs:
    4.3.3, 4.3.5, 5.0.1, 5.1, 5.1.1

    iPod4,1 2761144787918 partial blobs:
    5.0
     
  10. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #10
    yep, it means you can restore to 5.1.1 or 5.01

    i sugest going to 5.1.1

    you'll need to download the correct IPSW file from here:
    http://www.iclarified.com/entry/index.php?enid=750

    you'll need to stitch the blobs or SHSH/APticket combi to the IPSW with redsn0w.
     
  11. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
    #11
    and then i restore on itunes? how do i stitch blobs again

    ----------

    I don't know where the .shsh are saved
     
  12. Haruhi thread starter macrumors regular

    Joined:
    Sep 19, 2008
  13. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #13
    Newbie mistake, you're going too quick, error 11 means your not in DFU-mode.

    ok

    in redsnow go to Extras/SHSH blobs/Stitch

    select the IPSW
    select the local blob

    A new IPSW will be made with your blob stitched to it.

    connect ipod

    put the ipod in DFU-mode, hold power and home until it turns off, hold both for another 3 seconds, than release power while holding home for another 10 seconds, you screen should be blank and itunes would report it found a ipod in recovery mode.

    Now while holding ALT-key hit restore (or SHIFT-key on win) select your stitched IPSW and restore
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    @TrueJetHero

    My hat's off to you.
    You have so much patience. :D
     
  15. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #15
    I thought the exact same thing when I saw TriJet's last post. You're a good man! I hope the OP gets it sorted out.
     
  16. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #16
    Thank you sirs!

    Btw copied this to my girlfriend…...
     
  17. nparti macrumors newbie

    Joined:
    Jan 22, 2013
    #17
    Help!!

    Hi TriJetHero,

    I came across this post and could really do with your help!

    I have an iPhone4s, currently running iOS 5.0.1 (9A405), which is jalibroken.

    I'm trying to upgrade to 5.1.1 and have downloaded the iPhone4,1_5.1.1_9B206_Restore.ipsw file.

    When I try and upgrade via iTunes (11.0.1), I get the message 'this device isn't eligible for the requested build'. I have followed the advice on the various forums to edit the code in the host file (as advised here http://osxdaily.com/2011/11/03/fix-...sted-build-error-in-itunes-when-updating-ios/)

    However, I do not have the line of code 4.208.10.249 gs.apple.com in my hosts file.

    Is there anything else I can do? I have no experience in using SHSH blobs, but have a feeling this may be the key?!

    Any help would be greatly appreciated!
     
  18. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #18
    Use the same advice as above, and confirm you have blobs for 5.1.1.

    If you do not, then you are stuck on 5.0.1. Hopefully cydia saved blobs for 5.0.1 for you, because you removed the firmware before saving them!
     
  19. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #19
  20. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #20
    Did you not read the rest of the thread?
    You need to learn and understand what shsh blobs are and what they do.
    Without those and there's also some other variables also that dhlizard mentioned when it comes to a 4S you will not be able to restore it to anything but the latest 6.0.1
     
  21. nparti macrumors newbie

    Joined:
    Jan 22, 2013
    #21
    I've been reading up on SHSH blobs, and now understand why I can only upgrade to 6.0.1.

    I guess I'll have to stick with 5.0.1 for the moment, and make sure I save my SHSH blobs once a JB becomes available from the new iOS.

    Thanks for your help
     
  22. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #22
    Nice.
    Hope we see the new jb out soon for 6.1
     
  23. glsillygili macrumors 6502

    glsillygili

    Joined:
    Dec 16, 2011
    Location:
    New York
    #23
    downgrade 2 4.2.1
     
  24. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #24
    He has an iPhone 4S.
     
  25. TSX macrumors 68030

    TSX

    Joined:
    Oct 1, 2008
    Location:
    Texas
    #25
    Its a host file problem caused by tiny umbrella. you have to go into itunes files on the computer and remove it. This will fix your problem.
     

Share This Page